Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.util.xml
Class HttpXmlListener

    java.lang.Object
      |
      +--superwaba.ext.xplat.util.xml.XmlListener
            |
            +--superwaba.ext.xplat.util.xml.HttpXmlListener

public abstract class HttpXmlListener
extends XmlListener

Listener that must be extended to process the events thrown by XmlLiteParser. See also superwaba/examples/util/xml for an example.

Fields inherited from class superwaba.ext.xplat.util.xml.XmlListener
`buffer, len, start`

Constructor Summary
`HttpXmlListener()`

Method Summary
`void` | `foundCode()` This is the method called by parser when HTTP response code is found
`void` | `foundHttpHeader()` This is the method called by parser when A HTTP Header name is found
`void` | `foundHttpValue()` This is the method called by parser when a HTTP Header value is found
`void` | `foundReason()` This is the method called by parser when HTTP response reason is found
`void` | `foundVersion()` This is the method called by parser when the HTTP version is found

Methods inherited from class superwaba.ext.xplat.util.xml.XmlListener
`foundAttributeName, foundAttributeValue, foundContent, foundEndTagName, foundStartTagName, getString, hashCode`

Methods inherited from class java.lang.Object
`equals, getClass, notify, toString, wait, wait`

Constructor Detail

### HttpXmlListener

    public HttpXmlListener()

Method Detail

### foundVersion

    public void foundVersion()

  This is the method called by parser when the HTTP version is found

### foundCode

    public void foundCode()

  This is the method called by parser when HTTP response code is found

### foundReason

    public void foundReason()

  This is the method called by parser when HTTP response reason is found

### foundHttpHeader

    public void foundHttpHeader()

  This is the method called by parser when A HTTP Header name is found

### foundHttpValue

    public void foundHttpValue()

  This is the method called by parser when a HTTP Header value is found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD